package uni.georgetown.ns.zebrafish.model;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "actionTimerLists")
public class ActionTimerListsModel {

	private List<TimerModel> timers = new ArrayList<TimerModel>();
	private List<ActionModel> actions = new ArrayList<ActionModel>();

    @XmlElement(name = "timerList")
	public List<TimerModel> getTimers() {
		return timers;
	}
	public void setTimers(List<TimerModel> timers) {
		this.timers = timers;
	}

    @XmlElement(name = "actionList")
	public List<ActionModel> getActions() {
		return actions;
	}
	public void setActions(List<ActionModel> actions) {
		this.actions = actions;
	}
	
	public void remove(int selectedRow) {
		timers.remove(selectedRow);
		actions.remove(selectedRow);
	}

	public void clear() {
		timers.clear();
		actions.clear();
	}
}
